Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister
Class AuditLogMessage

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.persister.AuditLogMessage

All Implemented Interfaces:
  BambooObject, AuditLog

    public class AuditLogMessage

extends BambooEntityObject
implements AuditLog

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`AuditLogMessage()`
`AuditLogMessage(Date timestamp, Build build, String eventType, String message)`

Method Summary
`Build` | `getBuild()`
`String` | `getEventType()`
`String` | `getMessage()`
`Date` | `getTimestamp()`
`void` | `setBuild(Build build)`
`void` | `setEventType(String eventType)`
`void` | `setMessage(String message)`
`void` | `setTimestamp(Date timestamp)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### AuditLogMessage

    public AuditLogMessage()

### AuditLogMessage

    public AuditLogMessage(Date timestamp,
                           Build build,
                           String eventType,
                           String message)

Method Detail

### getTimestamp

    public Date getTimestamp()

  Specified by:
    `getTimestamp` in interface `AuditLog`

### setTimestamp

    public void setTimestamp(Date timestamp)

  Specified by:
    `setTimestamp` in interface `AuditLog`

### getBuild

    public Build getBuild()

  Specified by:
    `getBuild` in interface `AuditLog`

### setBuild

    public void setBuild(Build build)

  Specified by:
    `setBuild` in interface `AuditLog`

### getEventType

    public String getEventType()

  Specified by:
    `getEventType` in interface `AuditLog`

### setEventType

    public void setEventType(String eventType)

  Specified by:
    `setEventType` in interface `AuditLog`

### getMessage

    public String getMessage()

  Specified by:
    `getMessage` in interface `AuditLog`

### setMessage

    public void setMessage(String message)

  Specified by:
    `setMessage` in interface `AuditLog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.